**Django Lighttpd Middleware** Copyright 2021 (Bernd Wechner)(“Licensor”)

**HIPPOCRATIC LICENSE **

**Version 3.0, September 2021**

**TERMS AND CONDITIONS**

TERMS AND CONDITIONS FOR USE, COPY, MODIFICATION, PREPARATION OF DERIVATIVE WORK, REPRODUCTION, AND DISTRIBUTION:

1. **DEFINITIONS:**
_This section defines certain terms used throughout this license agreement._

  1.1. "License" means the terms and conditions, as stated herein, for use, copy, modification, preparation of derivative work, reproduction, and distribution of Software (as defined below).

  1.2 "Licensor" means the copyright owner or entity authorized by the copyright owner that is granting the License.

  1.3. "Licensee" means the individual or entity exercising permissions granted by this License, including the use, copy, modification, preparation of derivative work, reproduction, and distribution of Software (as defined below).

  1.4. "Software" means any copyrighted work, including but not limited to software code, authored by Licensor and made available under this License.

  1.5. "Supply Chain" means the sequence of processes involved in the production and/or distribution of a commodity, good, or service offered by the Licensee.

  1.6. "Third-Party Beneficiary" or "Third-Party Beneficiaries" means any person(s) directly impacted by any of Licensee’s Supply Chain, including the practices of all persons or entities within the Supply Chain prior to a good or service reaching the Licensee.

  1.7. "Duty of Care" is defined by its use in tort law, delict law, and/or similar bodies of law closely related to tort and/or delict law, including without limitation, a requirement to act with the watchfulness, attention, caution, and prudence that a reasonable person in the same or similar circumstances would use towards any Third-Party Beneficiary.

  1.8. "Worker" is defined to include any and all permanent, temporary, and agency workers, as well as piece-rate, salaried, hourly paid, legal young (minors), part-time, night, and migrant workers.

2. **INTELLECTUAL PROPERTY GRANTS:**
_This section identifies intellectual property rights granted to a Licensee_.

  2.1. Grant of Copyright License: Subject to the terms and conditions of this License, Licensor hereby grants to Licensee a worldwide, non-exclusive, no-charge, royalty-free copyright license to use, copy, modify, prepare derivative work, reproduce, or distribute the Software, Licensor authored modified software, or other work derived from the Software.

  2.2. Grant of Patent License: Subject to the terms and conditions of this License, Licensor hereby grants Licensee a worldwide, non-exclusive, no-charge, royalty-free patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer Software.

3. **ETHICAL STANDARDS:**
   _This section lists conditions the Licensee must comply with in order to have rights under this License._

    The rights granted to the Licensee by this License are expressly made subject to the Licensee’s ongoing compliance with the following conditions:

    3.1. The Licensee SHALL NOT, whether directly or indirectly, through agents or assigns:

        3.1.1. Infringe upon any person’s right to life or security of person, engage in extrajudicial killings, or commit murder, without lawful cause (_See_ Article 3, _United Nations Universal Declaration of Human Rights_; Article 6, _International Covenant on Civil and Political Rights_)
        3.1.2. Hold any person in slavery, servitude, or forced labor (_See_ Article 4, _United Nations Universal Declaration of Human Rights_; Article 8, _International Covenant on Civil and Political Rights_);
        3.1.3. Contribute to the institution of slavery, slave trading, forced labor, or unlawful child labor (_See_ Article 4, _United Nations Universal Declaration of Human Rights_; Article 8, _International Covenant on Civil and Political Rights_);
        3.1.4. Torture or subject any person to cruel, inhumane, or degrading treatment or punishment (_See_ Article 5, _United Nations Universal Declaration of Human Rights_; Article 7, _International Covenant on Civil and Political Rights_);
        3.1.5. Discriminate on the basis of sex, gender, sexual orientation, race, ethnicity, nationality, religion, caste, age, medical disability or impairment, and/or any other like circumstances (_See_ Article 7, _United Nations Universal Declaration of Human Rights_; Article 2, _International Covenant on Economic, Social and Cultural Rights_; Article 26, _International Covenant on Civil and Political Rights_);
        3.1.6. Prevent any person from exercising his/her/their right to seek an effective remedy by a competent court or national tribunal (including domestic judicial systems, international courts, arbitration bodies, and other adjudicating bodies) for actions violating the fundamental rights granted to him/her/them by applicable constitutions, applicable laws, or by this License (_See_ Article 8, _United Nations Universal Declaration of Human Rights_; Articles 9 and 14, _International Covenant on Civil and Political Rights_);
        3.1.7. Subject any person to arbitrary arrest, detention, or exile (_See_ Article 9, _United Nations Universal Declaration of Human Rights_; Article 9, _International Covenant on Civil and Political Rights_);
        3.1.8. Subject any person to arbitrary interference with a person’s privacy, family, home, or correspondence without the express written consent of the person (_See_ Article 12, _United Nations Universal Declaration of Human Rights_; Article 17, _International Covenant on Civil and Political Rights_);
        3.1.9. Arbitrarily deprive any person of his/her/their property (_See_ Article 17, _United Nations Universal Declaration of Human Rights_);
        3.1.10. Forcibly remove indigenous peoples from their lands or territories or take any action with the aim or effect of dispossessing indigenous peoples from their lands, territories, or resources without the free, prior, and informed consent of indigenous peoples concerned (_See _Articles 8 and 10, _United Nations Declaration on the Rights of Indigenous Peoples_).
        3.1.11. Interfere with Workers’ free exercise of the right to organize and associate (See Article 20, United Nations Universal Declaration of Human Rights; C087 - Freedom of Association and Protection of the Right to Organise Convention, 1948 (No. 87), International Labour Organization; Article 8, International Covenant on Economic, Social and Cultural Rights); and
        3.1.12. Harm the environment in a manner inconsistent with local, state, national, or international law.

    3.2. The Licensee SHALL:

        3.2.1. Provide equal pay for equal work where the performance of such work requires equal skill, effort, and responsibility, and which are performed under similar working conditions, except where such payment is made pursuant to:
              3.1.11.1. A seniority system;
              3.1.11.2. A merit system;
              3.1.11.3. A system which measures earnings by quantity or quality of production; or
              3.1.11.4. A differential based on any other factor other than sex, gender, sexual orientation, race, ethnicity, nationality, religion, caste, age, medical disability or impairment, and/or any other like circumstances
              (_See_ 29 U.S.C.A. § 206(d)(1); Article 23, _United Nations Universal Declaration of Human Rights_; Article 7, _International Covenant on Economic, Social and Cultural Rights_; Article 26, _International Covenant on Civil and Political Rights_); and
       
        3.2.2 Allow for reasonable limitation of working hours and periodic holidays with pay (_See_ Article 24, _United Nations Universal Declaration of Human Rights_; Article 7, _International Covenant on Economic, Social and Cultural Rights_).


4. **THIRD-PARTY BENEFICIARIES:**
_This section identifies additional individuals or entities that a Licensee could harm as a result of violating the Ethical Standards section, the condition that the Licensee must voluntarily accept a Duty of Care for those individuals or entities, and the right to a private right of action that those individuals or entities possess as a result of violations of the Ethical Standards section._

    4.1. In addition to the above Ethical Standards, Licensee voluntarily accepts a Duty of Care for Third-Party Beneficiaries. The Duty of Care is breached when a provision within the Ethical Standards section is violated by a Licensee, or one of its successors or assigns.

    4.2. Breaches of the Duty of Care, as stated within this section, shall create a private right of action, allowing any Third-Party Beneficiary harmed by the Licensee to take legal action against the Licensee in accordance with applicable negligence laws, whether they be in tort law, delict law, and/or similar bodies of law closely related to tort and/or delict law, regardless if Licensee is directly responsible for the harms suffered by a Third-Party Beneficiary. Nothing in this section shall be interpreted to include acts committed by individuals outside of the scope of his/her/their employment.

5. **NOTICE:**
   _This section explains when a Licensee must notify others of the License. _

    5.1. Distribution of Notice: Licensee must ensure that everyone who receives a copy of or uses any part of Software from Licensee, with or without changes, also receives the License and the copyright notice included with Software (and if included by the Licensor, patent, trademark, and attribution notice). Licensee must ensure that License is prominently displayed so that any individual or entity seeking to download, copy, use, or otherwise receive any part of Software from Licensee is notified of this License and its terms and conditions. Licensee must cause any modified versions of the Software to carry prominent notices stating that Licensee changed the Software.

    5.2. Modified Software: Licensee is free to create modifications of the Software and distribute only the modified portion created by Licensee, however, any derivative work stemming from the Software or its code must be distributed pursuant to this License, including this Notice provision.

    5.3. Recipients as Licensees: Any individual or entity that uses, copies, modifies, reproduces, distributes, or prepares derivative work based upon the Software, all or part of the Software’s code, or a derivative work developed by using the Software, including a portion of its code, is a Licensee as defined above and is subject to the terms and conditions of this License.


6. **REPRESENTATIONS AND WARRANTIES:**

    6.1. Disclaimer of Warranty: To the full extent allowed by law, this Software comes "as is," without any warranty, express or implied, and Licensor shall not be liable to any person or entity for any damages or other liability arising from, out of, or in connection with the Software or this License, under any legal claim.

    6.2. Limitation of Liability: Licensee shall hold Licensor harmless against any and all claims, debts, dues, liabilities, liens, causes of action, demands, obligations, disputes, damages, losses, expenses, attorneys’ fees, costs, liabilities, and all other claims of every kind and nature whatsoever, whether known or unknown, anticipated or unanticipated, foreseen or unforeseen, accrued or unaccrued, disclosed or undisclosed, arising out of or relating to Licensee’s use of the Software. Nothing in this section should be interpreted to require licensee to indemnify licensor, nor require licensor to indemnify licensee.


7. **TERMINATION**

    7.1. Violations of Ethical Standards or Breaching Duty of Care: If Licensee violates the Ethical Standards section or Licensee, or any other person or entity within the Supply Chain prior to a good or service reaching the Licensee, breaches its Duty of Care to Third-Party Beneficiaries, Licensee must remedy the violation or harm caused by Licensee within 30 days of being notified of the violation or harm. If Licensee fails to remedy the violation or harm within 30 days, all rights in the Software granted to Licensee by License will be null and void as between Licensor and Licensee.

    7.2. Failure of Notice: If any person or entity notifies Licensee in writing that Licensee has not complied with the Notice section of this License, Licensee can keep this License by taking all practical steps to comply within 30 days after the notice of noncompliance. If Licensee does not do so, Licensee’s License (and all rights licensed hereunder) will end immediately.

    7.3. Judicial Findings: In the event Licensee is found by a civil, criminal, administrative, or other court of competent jurisdiction, or some other adjudicating body with legal authority, to have committed actions which are in violation of the Ethical Standards or Third-Party Beneficiary sections of this License, all rights granted to Licensee by this License will terminate immediately.

    7.4. Patent Litigation: If Licensee institutes patent litigation against any entity (including a cross-claim or counterclaim in a suit) alleging that the Software, all or part of the Software’s code, or a derivative work developed using the Software, including a portion of its code, constitutes direct or contributory patent infringement, then any patent license, along with all other rights, granted to Licensee under this License will terminate as of the date such litigation is filed.

    7.5. Additional Remedies: Termination of the License by failing to remedy harms in no way prevents Licensor or Third-Party Beneficiary from seeking appropriate remedies of law or equity.

8. **MISCELLANEOUS:**

    8.1. Conditions: Sections 3, 4.1, 5.1, 5.2, 7.1, 7.2, 7.3, and 7.4 are conditions of the rights granted to Licensee in the License.

    8.2. Equitable Relief: Licensor and any Third-Party Beneficiary shall be entitled to equitable relief, including injunctive relief or specific performance of the terms hereof, in addition to any other remedy to which they are entitled at law or in equity.

    8.3. Severability: If any term or provision of this License is determined to be invalid, illegal, or unenforceable by a court of competent jurisdiction, any such determination of invalidity, illegality, or unenforceability shall not affect any other term or provision of this License or invalidate or render unenforceable such term or provision in any other jurisdiction. If the determination of invalidity, illegality, or unenforceability by a court of competent jurisdiction pertains to the terms or provisions contained in the Ethical Standards section of this License, all rights in the Software granted to Licensee shall be deemed null and void as between Licensor and Licensee.

    8.4. Section Titles: Section titles are solely written for organizational purposes and should not be used to interpret the language within each section.

    8.5. Citations: Citations are solely written to provide context for the source of the provisions in the Ethical Standards.

    8.6. Section Summaries: Some sections have a brief _italicized description_ which is provided for the sole purpose of briefly describing the section and should not be used to interpret the terms of the License.

    8.7. Entire License: This is the entire License between the Licensor and Licensee with respect to the claims released herein and that the consideration stated herein is the only consideration or compensation to be paid or exchanged between them for this License.  This License cannot be modified or amended except in a writing signed by Licensor and Licensee.

    8.8. Successors and Assigns: This License shall be binding upon and inure to the benefit of the Licensor’s and Licensee’s respective heirs, successors, and assigns.

